
enum {
	OPtQuery = 0,
	OPrQuery = 1,
	OPtRegister = 5<<1,
	OPrRegister = (5<<1)|1,
	OPtRelease = 6<<1,
	OPrRelease = (6<<1)|1,
	OPtWack = 7<<1,
	OPrWack = (7<<1)|1,
	OPtRefresh = 8<<1,
	OPrRefresh = (8<<1)|1,
};

enum {			// Resource record type
	RRa = 0x01,
	RRns = 0x02,
	RRnil = 0x0a,
	RRnb = 0x20,
	RRstat = 0x21
};

enum {			// question class
	Cinet = 1	// internet
};

enum {
	Rnamlen = 34
};

enum {
	Freply = 0x8000		// flags bit to specify a reply
};

enum {
	Tdomain = 0x1c		// type spec for a domain controller
};

extern void pnbname(uchar **, char *, char, char);
extern void pname(uchar **, char *);
extern void p8(uchar **, int);
extern void p16(uchar **, int);
extern void p32(uchar **, int);
extern void pmem(uchar **, void *, int);
extern void gstr(uchar **, char *, int);
extern void gmem(uchar **, void *, int);
extern int g8(uchar **);
extern int g16(uchar **);
extern int g32(uchar **);
extern char *nberr(int);
extern int gnbname(uchar **, char *, int);
